Skip to main content
GET
/
account
/
json
/
turnover
/
Get company turnover
curl --request GET \
  --url https://gate.chip-in.asia/api/v1/account/json/turnover/ \
  --header 'Authorization: Bearer <token>'
{
  "incoming": {
    "turnover": 93408,
    "fee_sell": 1750,
    "count": {
      "all": 175
    }
  },
  "outgoing": {
    "turnover": 93408,
    "fee_sell": 1750,
    "count": {
      "all": 175
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

tokenized
boolean

Filter result set by whether the transaction was performed using a recurring execution token

from
integer

Filter result set to only include values older or equal to the provided Unix timestamp

to
integer

Filter result set to only include values younger than the provided Unix timestamp

brand
string<uuid>

Filter result set to only include the specified brand UUID(s)

terminal_uid
string<uuid>

Filter result set to only include the specified terminal UUID(s)

currency
string
required

Filter result set to only include specified currency(ies). The value must be in uppercase.

payment_method
enum<string>

Filter result set to only include specified payment methods(s). See PaymentMethod for more information. Payment method used to execute the transaction.

  • crypto_coin: Crypto Coin
  • dnqr: Dnqr
  • duitnow_qr: Duitnow Qr
  • fpx: FPX B2C
  • fpx_b2b1: FPX B2B1
  • maestro: Maestro payment card
  • mastercard: Mastercard payment card
  • mpgs_apple_pay: Apple Pay
  • mpgs_google_pay: Mpgs Google Pay
  • razer: Razer
  • razer_atome: Razer Atome
  • razer_grabpay: Razer Grabpay
  • razer_maybankqr: Razer Maybankqr
  • razer_shopeepay: Razer Shopeepay
  • razer_tng: Razer Tng
  • unknown: Payment method could not be determined
  • visa: Visa payment card
Available options:
crypto_coin,
dnqr,
duitnow_qr,
fpx,
fpx_b2b1,
maestro,
mastercard,
mpgs_apple_pay,
mpgs_google_pay,
razer,
razer_atome,
razer_grabpay,
razer_maybankqr,
razer_shopeepay,
razer_tng,
unknown,
visa
product
enum<string>

Filter result set to only include specified products(s). See TransactionProduct for more information. Product category the transaction belongs to.

  • bank_payment: bank_payment (Payment.payment_type == "bank_payment")
  • custom_payment: custom_payment (Payment.payment_type == "custom_payment")
  • invoice: Purchase created as an invoice through the merchant portal
  • purchase: Purchase created through the merchant API (Purchase.product == "purchases")
  • refund: refund (Payment.payment_type == "refund")
  • subscription: Purchase created using a subscription
Available options:
bank_payment,
custom_payment,
invoice,
purchase,
refund,
subscription
flow
enum<string>

Filter result set to only include specified transaction creation or execution flow(s). See TransactionFlow for more information. Flow or pathway used to initiate or execute a transaction.

  • api: transaction initiated via the merchant API
  • direct_post: transaction executed via direct POST request
  • fluentforms: transaction initialized from Fluent Forms integration
  • formidableforms: transaction initialized from Formidable Forms integration
  • givewp: transaction initialized from GiveWP integration
  • gravityforms: transaction initialized from Gravity Forms integration
  • hostbill: transaction initialized from Hostbill integration
  • import: transaction imported from external system
  • link: transaction initiated via shared link
  • magento: transaction initialized from Magento module
  • opencart: transaction initialized from OpenCart module
  • payform: transaction executed via the gateway payform
  • paymattic: transaction initialized from Paymattic integration
  • prestashop: transaction initialized from PrestaShop module
  • server_to_server: transaction executed via server to server API
  • shopify: transaction initialized from Shopify integration
  • web_office: transaction initiated via the merchant portal
  • whmcs: transaction initialized from WHMCS integration
  • woocommerce: transaction initialized from WooCommerce module
  • wpcharitable: transaction initialized from WPCharitable integration
Available options:
api,
direct_post,
fluentforms,
formidableforms,
givewp,
gravityforms,
hostbill,
import,
link,
magento,
opencart,
payform,
paymattic,
prestashop,
server_to_server,
shopify,
web_office,
whmcs,
woocommerce,
wpcharitable
country
string

Filter result set to only include specified client country(ies) in ISO 3166-1 alpha-2 format

Response

Company turnover successfully retrieved

Incoming and outgoing Company turnover statistics

incoming
object

Company turnover statistics

Example:
{
"turnover": 93408,
"fee_sell": 1750,
"count": { "all": 175 }
}
outgoing
object

Company turnover statistics

Example:
{
"turnover": 93408,
"fee_sell": 1750,
"count": { "all": 175 }
}